<?
define('PROTECTOR', 1);

$headmod = 'anketa';//фикс. места

$textl='Настройки';
@include('files/path.php');
@include($path.'files/db.php');
@include($path.'files/auth.php');
@include($path.'files/func.php');
@include($path.'files/core.php');
@include($path.'files/head.php');
@include($path.'files/zag.php');
switch($_GET[go]){
default:
$req = mysql_query("SELECT * FROM `set` WHERE `usr` = '$log'");
$avto=mysql_num_rows($req);
$anka = mysql_fetch_array($req);
if($avto == 0){mysql_query("INSERT INTO `set` SET `usr`='$log'");}
if(empty($anka[name])){echo "Анкета не заполнена</br><a href=\"anketa.php?go=zap\">Заполнить</a>";}else{
echo"Анкета игрока <img src='pic/main/$udata[storona].png' alt='*'/></a><a href='search.php?nick=$log&go=go'><b> $log</b></a>
</div><div class = 'menu'>";
if(!empty($anka[name])){echo "Имя: <font color='#e8c25d'>$anka[name]</font></br>";}
if(!empty($anka[familu])){echo "Фамилия: <font color='#e8c25d'>$anka[familu]</font></br>";}
if(!empty($anka[strana])){echo "Страна: <font color='#e8c25d'>$anka[strana]</font></br>";}
if(!empty($anka[gorod])){echo "Город: <font color='#e8c25d'>$anka[gorod]</font></br>";}
if(!empty($anka[icq])){echo "ICQ: <font color='#e8c25d'>$anka[icq]</font></br>";}
if(!empty($anka[email])){echo "E-mail: <font color='#e8c25d'>$anka[email]</font></br>";}
if(!empty($anka[data])){echo "Год рождения: <font color='#e8c25d'>$anka[data]</font></br>";}
if(!empty($anka[music])){echo "Любимая музыка: <font color='#e8c25d'>$anka[music]</font></br>";}
if(!empty($anka[int])){echo "Интересы: <font color='#e8c25d'>$anka[int]</font></br>";}
if(!empty($anka[inf])){echo "О себе: <font color='#e8c25d'>$anka[inf]</font></br>";}
echo"</div><div class = 'menu'><a href=\"anketa.php?go=zap\">Изменить</a></br><a href=\"pers.php?\">Назад</a></div>";
}
break; 

case 'zap':
$req = mysql_query("SELECT * FROM `set` WHERE `usr` = '$log'");
$anka = mysql_fetch_array($req);
echo'<form action="anketa.php?go=yes" method="post">
Имя: <font color="red">*</font><br/>
<input class="input" type="text" value="'.$anka[name].'" size="15" name="name" maxlength="15"/><br/>
Фамилия:<br/><input class="input" type="text" value="'.$anka[familu].'" size="15" name="fam" maxlength="15"/><br/>
Страна: <font color="red">*</font> <br/><input class="input" type="text" value="'.$anka[strana].'" size="15" name="strana" maxlength="20"/><br/>
Город: <font color="red">*</font> <br/><input class="input" type="text" value="'.$anka[gorod].'" size="15" name="gorod" maxlength="20"/><br/>
ICQ:<br/><input class="input" type="number" value="'.$anka[icq].'" size="15" name="icq" maxlength="9"/><br/>
E-mail: (<small>Не вводите сюда email, указанный при регистрации,<br> так как смогут украсть ваш пароль)<br/><input class="input" type="text" value="'.$anka[email].'" size="15" name="email" maxlength="25"/><br/>
Год рождения:<br/><input class="input" type="text" value="'.$anka[data].'" size="15" name="god" maxlength="4"/><br/>
Любимая музыка:<br/><input class="input" type="text" value="'.$anka[music].'" size="15" name="muz" maxlength="40"/><br/>
Интересы:<br/><input class="input" type="text" value="'.$anka[int].'" size="15" name="interes" maxlength="50"/><br/>
О себе:<br/><input class="input" type="text" value="'.$anka[inf].'" size="15" name="info" maxlength="110"/><br/>
<input class="button" type="submit" value="сохранить" /></form><br/><font color="red">*</font> - Поля, обязательные к заполнению</div>
</div><div class = "menu"><a href="anketa.php?">Назад</a>';
break;
case 'yes':
if(empty($_POST[name])){echo'Ошибка!Имя не заполнено <a href="anketa.php?go=zap">Назад</a></br>';}
if(empty($_POST[strana])){echo'Ошибка!Страна не заполнена <a href="anketa.php?go=zap">Назад</a></br>';}
if(empty($_POST[gorod])){echo'Ошибка!Город не заполнен <a href="anketa.php?go=zap">Назад</a></br>';}else{
echo'Анкета заполнена!</br><a href="anketa.php?">Назад</a>';
    mysql_query("UPDATE
        `set` SET
        `name` = '$_POST[name]',
        `familu` = '$_POST[fam]',
        `email` = '$_POST[email]',
        `strana` = '$_POST[strana]',
        `gorod` = '$_POST[gorod]',
        `icq` = '$_POST[icq]',
        `data` = '$_POST[god]',
        `int` = '$_POST[interes]',
        `inf` = '$_POST[info]',
        `music` = '$_POST[muz]'
         WHERE `usr` = '$log'");

}
break;

}@include($path.'files/down.php');
?>